Bug 1662974 - Review Request: fernflower - jidea's java decompiler
Summary: Review Request: fernflower - jidea's java decompiler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petra Alice Mikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-02 15:23 UTC by jiri vanek
Modified: 2019-01-22 02:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-19 01:54:51 UTC
pmikova: fedora-review+


Attachments (Terms of Use)

Description jiri vanek 2019-01-02 15:23:05 UTC
Spec URL: https://jvanek.fedorapeople.org/fernflower/v1/fernflower.spec
SRPM URL: https://jvanek.fedorapeople.org/fernflower/v1/fernflower-183.5153.8-1.fc29.src.rpm
Description: Fernflower is the first actually working analytical decompiler for Java and probably
for a high-level programming language in general. Naturally it is still under development,
please send your bug reports and improvement suggestions to the issue tracker.
Fedora Account System Username: jvanek

Comment 1 jiri vanek 2019-01-02 15:25:30 UTC
For needs of java-runtime-decompiler, see also https://bugzilla.redhat.com/show_bug.cgi?id=1661602 ; the legal discussion is https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/OG2CFMSVWIQ62LKGDS2VLGEN4R6JUT5S/ but afaik there is no longer any ban on decompilers

Comment 3 jiri vanek 2019-01-03 10:35:08 UTC
"s/%build.*/%build %gradle_build --skip-install jar/g" -i fernflower.spec

Comment 4 Petra Alice Mikova 2019-01-08 14:44:17 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present. Note: Javadocs are optional for
  Fedora versions >= 21
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Package uses hardened build flags if required to.
  Note: suid files: fernflower and not %global _hardened_build
  See:
  http://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Compiler_flags
- Package has no changelog.
- there are typos and errors in the comments:
	this source is 280MB big, so only decompiler is repacked via create-sources.sh and have 350kB => 
    this source is 280MB big, so only the decompiler is repacked via create-sources.sh and has 350kB
	tests are nto run in rpm build anyway => tests are not run in rpm build anyway
- there are more in rpmlint check

	


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated".
     177 files have unknown license. Detailed output of licensecheck in
     /home/pmikova/fedora_repos/fedora-
     reviews/1662974-fernflower/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define debug_package %{nil}
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fernflower-183.5153.8-1.fc29.noarch.rpm
          fernflower-183.5153.8-1.fc29.src.rpm
fernflower.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
fernflower.noarch: W: summary-not-capitalized C fernflower java decompiler
fernflower.noarch: W: name-repeated-in-summary C fernflower
fernflower.noarch: W: spelling-error %description -l en_US analytical -> analytically, analytic, catalytic
fernflower.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
fernflower.noarch: E: description-line-too-long C Fernflower is the first actually working analytical decompiler for Java and probably
fernflower.noarch: E: description-line-too-long C for a high-level programming language in general. Naturally it is still under development,
fernflower.noarch: E: no-changelogname-tag
fernflower.noarch: E: setuid-binary /usr/bin/fernflower root 4755
fernflower.noarch: E: non-standard-executable-perm /usr/bin/fernflower 4755
fernflower.noarch: W: no-manual-page-for-binary fernflower
fernflower.src: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
fernflower.src: W: summary-not-capitalized C fernflower java decompiler
fernflower.src: W: name-repeated-in-summary C fernflower
fernflower.src: W: spelling-error %description -l en_US analytical -> analytically, analytic, catalytic
fernflower.src: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
fernflower.src: E: description-line-too-long C Fernflower is the first actually working analytical decompiler for Java and probably
fernflower.src: E: description-line-too-long C for a high-level programming language in general. Naturally it is still under development,
fernflower.src: E: no-changelogname-tag
fernflower.src:33: W: setup-not-quiet
fernflower.src:8: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 4)
fernflower.src: W: invalid-url Source0: fernflower-183.5153.8.tar.gz
2 packages and 0 specfiles checked; 8 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
fernflower.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
fernflower.noarch: W: summary-not-capitalized C fernflower java decompiler
fernflower.noarch: W: name-repeated-in-summary C fernflower
fernflower.noarch: W: spelling-error %description -l en_US analytical -> analytically, analytic, catalytic
fernflower.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
fernflower.noarch: E: description-line-too-long C Fernflower is the first actually working analytical decompiler for Java and probably
fernflower.noarch: E: description-line-too-long C for a high-level programming language in general. Naturally it is still under development,
fernflower.noarch: E: no-changelogname-tag
fernflower.noarch: W: invalid-url URL: https://github.com/JetBrains/intellij-community/tree/master/plugins/java-decompiler/engine <urlopen error [Errno -2] Name or service not known>
fernflower.noarch: E: setuid-binary /usr/bin/fernflower root 4755
fernflower.noarch: E: non-standard-executable-perm /usr/bin/fernflower 4755
fernflower.noarch: W: no-manual-page-for-binary fernflower
1 packages and 0 specfiles checked; 5 errors, 7 warnings.



Requires
--------
fernflower (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools



Provides
--------
fernflower:
    fernflower



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1662974
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 jiri vanek 2019-01-10 10:06:07 UTC
Spec URL: https://jvanek.fedorapeople.org/fernflower/v2/fernflower.spec
SRPM URL: https://jvanek.fedorapeople.org/fernflower/v2/fernflower-183.5153.8-1.fc29.src.rpm
Description: JIdea's decompiler is the first actually working analytical decompiler for Java and probably
for a high-level programming language in general. Naturally it is still under development,
please send your bug reports and improvement suggestions to the issue tracker.
Fedora Account System Username: jvanek

Hi! all issues should be fixed, except:
 - jpackage-utils; I use correct javapackages-tools; tis isnfo seems outdated
 - I included the javadoc, but there is nothing :(
 - I had not found any issue with license. Can you elaborate pls?
 - I had not found any issue with big doc file. Can you elaborate pls? After sorting by size, biggest is fernflowr.jar, with 60k. The only doc, readme.md, is 11k big...
 - I have kept some lines longer then those prehistoric 80 chars. If you insists, I will cut it. But for sake, 99% of users have monitors of 180chars and up...

Comment 6 Petra Alice Mikova 2019-01-10 10:59:47 UTC
(In reply to jiri vanek from comment #5)
> Spec URL: https://jvanek.fedorapeople.org/fernflower/v2/fernflower.spec
> SRPM URL:
> https://jvanek.fedorapeople.org/fernflower/v2/fernflower-183.5153.8-1.fc29.
> src.rpm
> Description: JIdea's decompiler is the first actually working analytical
> decompiler for Java and probably
> for a high-level programming language in general. Naturally it is still
> under development,
> please send your bug reports and improvement suggestions to the issue
> tracker.
> Fedora Account System Username: jvanek
> 
> Hi! all issues should be fixed, except:
>  - jpackage-utils; I use correct javapackages-tools; tis isnfo seems outdated

Ok, no changes required then.

>  - I included the javadoc, but there is nothing :(

Thanks! Maybe, someday there will.

>  - I had not found any issue with license. Can you elaborate pls?

Autogenerated warning, just wanted to be double sure there are really no issues. I rechecked and its ok.

>  - I had not found any issue with big doc file. Can you elaborate pls? After
> sorting by size, biggest is fernflowr.jar, with 60k. The only doc,
> readme.md, is 11k big...

I must've been really tired when checking this one, rechecked and no big doc files are present.

>  - I have kept some lines longer then those prehistoric 80 chars. If you
> insists, I will cut it. But for sake, 99% of users have monitors of 180chars
> and up...

Ok then.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the
  buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java

Consider, if you can omit the Requires.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated".
     177 files have unknown license. Detailed output of licensecheck in
     /home/pmikova/fedora_repos/fedora-
     reviews/1662974-fernflower/1662974-fernflower/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: fernflower-javadoc (description)
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     fernflower-javadoc
	 - Not applicable
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fernflower-183.5153.8-1.fc29.noarch.rpm
          fernflower-javadoc-183.5153.8-1.fc29.noarch.rpm
          fernflower-183.5153.8-1.fc29.src.rpm
fernflower.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
fernflower.noarch: W: spelling-error Summary(en_US) jidea -> idea, j idea, Jidda
fernflower.noarch: W: summary-not-capitalized C fernflower java decompiler from jidea

- please fix

fernflower.noarch: W: name-repeated-in-summary C fernflower

- please fix

fernflower.noarch: W: spelling-error %description -l en_US JIdea's -> J Idea's, Judea's, Idea's
fernflower.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
fernflower.noarch: W: spelling-error %description -l en_US analytical -> analytically, analytic, catalytic

- please consider fixing this

fernflower.noarch: E: description-line-too-long C JIdea's decompiler is the first actually working analytical decompiler for Java and probably
fernflower.noarch: E: description-line-too-long C for a high-level programming language in general. Naturally it is still under development,
fernflower.noarch: W: no-manual-page-for-binary fernflower
fernflower-javadoc.noarch: W: summary-not-capitalized C fernflower API documentation
fernflower-javadoc.noarch: W: file-not-utf8 /usr/share/javadoc/fernflower.zip
fernflower-javadoc.noarch: W: doc-file-dependency /usr/share/javadoc/fernflower.zip javapackages-filesystem

- is dependency of utils

fernflower.src: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
fernflower.src: W: spelling-error Summary(en_US) jidea -> idea, j idea, Jidda
fernflower.src: W: summary-not-capitalized C fernflower java decompiler from jidea
fernflower.src: W: name-repeated-in-summary C fernflower
fernflower.src: W: spelling-error %description -l en_US JIdea's -> J Idea's, Judea's, Idea's
fernflower.src: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
fernflower.src: W: spelling-error %description -l en_US analytical -> analytically, analytic, catalytic
fernflower.src: E: description-line-too-long C JIdea's decompiler is the first actually working analytical decompiler for Java and probably
fernflower.src: E: description-line-too-long C for a high-level programming language in general. Naturally it is still under development,
fernflower.src:49: W: setup-not-quiet

- consider fixing this

fernflower.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 6)

- please fix

fernflower.src: W: invalid-url Source0: fernflower-183.5153.8.tar.gz
3 packages and 0 specfiles checked; 4 errors, 21 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
fernflower.noarch: W: spelling-error Summary(en_US) decompiler -> recompiled, compiler, recompile
fernflower.noarch: W: spelling-error Summary(en_US) jidea -> idea, j idea, Jidda
fernflower.noarch: W: summary-not-capitalized C fernflower java decompiler from jidea
fernflower.noarch: W: name-repeated-in-summary C fernflower
fernflower.noarch: W: spelling-error %description -l en_US JIdea's -> J Idea's, Judea's, Idea's
fernflower.noarch: W: spelling-error %description -l en_US decompiler -> recompiled, compiler, recompile
fernflower.noarch: W: spelling-error %description -l en_US analytical -> analytically, analytic, catalytic
fernflower.noarch: E: description-line-too-long C JIdea's decompiler is the first actually working analytical decompiler for Java and probably
fernflower.noarch: E: description-line-too-long C for a high-level programming language in general. Naturally it is still under development,
fernflower.noarch: W: invalid-url URL: https://github.com/JetBrains/intellij-community/tree/master/plugins/java-decompiler/engine <urlopen error [Errno -2] Name or service not known>
fernflower.noarch: W: no-manual-page-for-binary fernflower
fernflower-javadoc.noarch: W: summary-not-capitalized C fernflower API documentation
fernflower-javadoc.noarch: W: invalid-url URL: https://github.com/JetBrains/intellij-community/tree/master/plugins/java-decompiler/engine <urlopen error [Errno -2] Name or service not known>
fernflower-javadoc.noarch: W: file-not-utf8 /usr/share/javadoc/fernflower.zip
fernflower-javadoc.noarch: W: doc-file-dependency /usr/share/javadoc/fernflower.zip javapackages-filesystem
2 packages and 0 specfiles checked; 2 errors, 13 warnings.



Requires
--------
fernflower (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

fernflower-javadoc (rpmlib, GLIBC filtered):
    javapackages-filesystem
    jpackage-utils



Provides
--------
fernflower:
    fernflower

fernflower-javadoc:
    fernflower-javadoc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1662974
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 jiri vanek 2019-01-10 14:25:50 UTC
Spec URL: https://jvanek.fedorapeople.org/fernflower/v3/fernflower.spec
SRPM URL: https://jvanek.fedorapeople.org/fernflower/v3/fernflower-183.5153.8-1.fc29.src.rpm
Description: JIdea's decompiler is the first actually working analytical decompiler for Java and probably
for a high-level programming language in general. Naturally it is still under development,
please send your bug reports and improvement suggestions to the issue tracker.
Fedora Account System Username: jvanek

All fixed, except silent prep. There is listing and removing of test .class and.jar files.  I really think they should be printed, otherwise one canget confused why it failed. In addition, I changed the summary to not include name again.

Comment 9 Gwyn Ciesla 2019-01-10 15:01:10 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fernflower

Comment 10 Fedora Update System 2019-01-10 15:49:56 UTC
fernflower-183.5153.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9257fe32ce

Comment 11 Fedora Update System 2019-01-10 15:50:00 UTC
fernflower-183.5153.8-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9ceabb0ae6

Comment 12 Fedora Update System 2019-01-10 15:58:25 UTC
fernflower-183.5153.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6f118372b8

Comment 13 Fedora Update System 2019-01-11 03:28:56 UTC
fernflower-183.5153.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6f118372b8

Comment 14 Fedora Update System 2019-01-11 04:17:02 UTC
fernflower-183.5153.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9ceabb0ae6

Comment 15 Fedora Update System 2019-01-11 05:42:55 UTC
fernflower-183.5153.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9257fe32ce

Comment 16 Fedora Update System 2019-01-19 01:54:51 UTC
fernflower-183.5153.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-01-19 02:25:59 UTC
fernflower-183.5153.8-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-01-22 02:05:40 UTC
fernflower-183.5153.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.